package top.r3944realms.lib39.example.core.register;

import net.minecraft.core.registries.BuiltInRegistries;
import net.minecraft.world.item.Item;
import net.neoforged.bus.api.IEventBus;
import net.neoforged.neoforge.registries.DeferredRegister;
import top.r3944realms.lib39.Lib39;
import top.r3944realms.lib39.example.content.item.NeoForgeFabricItem;
import top.r3944realms.lib39.example.content.item.ForgeItem;
import top.r3944realms.lib39.example.content.item.NeoForgeNeoForgeItem;

/**
 * The type Ex lib 39 items.
 */
public class NeoForgeExLib39Items {
    /**
     * The constant ITEMS.
     */
    public static final DeferredRegister<Item> ITEMS = DeferredRegister.create(BuiltInRegistries.ITEM, Lib39.MOD_ID);

    static  {
        ExLib39Items.FABRIC = ITEMS.register(
                "fabric",
                () -> new NeoForgeFabricItem(
                        new Item.Properties()
                                .stacksTo(1)
                                .fireResistant()
                )
        );
        ExLib39Items.NEOFORGE =
                ITEMS.register("neoforge",
                        () -> new NeoForgeNeoForgeItem(
                                new Item.Properties()
                                        .stacksTo(1)
                                        .fireResistant()
                        ));
        ExLib39Items.FORGE =
                ITEMS.register("forge",
                        () -> new ForgeItem(
                                new Item.Properties()
                                        .stacksTo(1)
                                        .fireResistant()
                        ));

    }

    /**
     * Register.
     *
     * @param bus the bus
     */
    public static void register(IEventBus bus) {
        ITEMS.register(bus);
    }

}
